Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Rtext in lisp

3 REPLIES 3
Reply
Message 1 of 4
Anonymous
331 Views, 3 Replies

Rtext in lisp

I'm having trouble calling the Rtext command via lisp. I get an unknown
command error. Works fine at the command line.
Is this possible? I would like to create Rtext with a diesel statement for
the current reference files in the drawing.
3 REPLIES 3
Message 2 of 4
Anonymous
in reply to: Anonymous

(if (not (member "rtext.arx" (arx))) (arxload "RText.arx" nil))

(entmake
(list '(0 . "RTEXT")
'(100 . "AcDbEntity")
'(100 . "RText")
(cons 8 layer)
(cons 10 insertion-point)
(cons 40 text-size)
(cons 7 text-style)
(cons 50 rotation-angle-in-radians)
(cons 1 diesel-expression)
'(70 . 1) ;1 IS FOR DIESEL EXPRESSIONS
)
)

Cliff (headin' fer the house) Middleton

"spreitauer" wrote in message
news:4F441B194DA06691D1E3CD57B10A13BA@in.WebX.maYIadrTaRb...
| I'm having trouble calling the Rtext command via lisp. I get an unknown
| command error. Works fine at the command line.
| Is this possible? I would like to create Rtext with a diesel statement
for
| the current reference files in the drawing.
|
Message 3 of 4
Anonymous
in reply to: Anonymous

Thank you, Cliff that is exactly what I was looking for. It seems the very
basic entmake function works perfectly! Sometimes simple is better.

"Cliff Middleton" wrote in message
news:F1D082DD9C7679D40B648C5F5C0B9B08@in.WebX.maYIadrTaRb...
> (if (not (member "rtext.arx" (arx))) (arxload "RText.arx" nil))
>
> (entmake
> (list '(0 . "RTEXT")
> '(100 . "AcDbEntity")
> '(100 . "RText")
> (cons 8 layer)
> (cons 10 insertion-point)
> (cons 40 text-size)
> (cons 7 text-style)
> (cons 50 rotation-angle-in-radians)
> (cons 1 diesel-expression)
> '(70 . 1) ;1 IS FOR DIESEL EXPRESSIONS
> )
> )
>
> Cliff (headin' fer the house) Middleton
>
> "spreitauer" wrote in message
> news:4F441B194DA06691D1E3CD57B10A13BA@in.WebX.maYIadrTaRb...
> | I'm having trouble calling the Rtext command via lisp. I get an unknown
> | command error. Works fine at the command line.
> | Is this possible? I would like to create Rtext with a diesel statement
> for
> | the current reference files in the drawing.
> |
>
Message 4 of 4
e.lucas8
in reply to: Anonymous

Thank you verry much.
E.F. Lucas

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost